# ncurses6-config 1 2023-10-01 ncurses 6.4 User commands

    ncurses6-config(1)               User commands              ncurses6-config(1)

## NAME

           ncurses6-config - configuration helper for ncurses libraries

## SYNOPSIS

           ncurses6-config option ...

           ncurses6-config --version

           ncurses6-config --help

## DESCRIPTION

           This  program  development  aid  simplifies  the process of configuring
           applications against a particular set of ncurses libraries.

## OPTIONS

           --prefix
                  reports the package prefix of ncurses.

           --exec-prefix
                  reports the executable prefix of ncurses.

           --cflags
                  reports the C compiler flags needed to compile with ncurses.

           --libs reports the libraries needed to link with ncurses.

           --version
                  reports the release and patch date information  of  ncurses  and
                  exits successfully.

           --abi-version
                  reports the ABI version of ncurses.

           --mouse-version
                  reports the mouse-interface version of ncurses.

           --bindir
                  reports the directory containing ncurses programs.

           --datadir
                  reports the directory containing ncurses data.

           --includedir
                  reports the directory containing ncurses header files.

           --libdir
                  reports the directory containing ncurses libraries.

           --mandir
                  reports the directory containing ncurses man pages.

           --terminfo
                  reports   the  TERMINFO  terminfo  database  path,  for  example
                  /usr/share/terminfo.

           --terminfo-dirs
                  reports the  TERMINFO_DIRS  supplemental  search  path  for  the
                  terminfo database, for example /usr/share/terminfo.

           --termpath
                  reports  the  TERMPATH  supplemental search path for the termcap
                  database, if support for termcap is configured.

           --help issues a usage message and exits successfully.

## SEE ALSO

           curses(3x)

    ncurses 6.4                       2023-10-01                ncurses6-config(1)